org.apache.tamaya.model.internal

## Class ConfiguredPropertiesModelProviderSpi

- java.lang.Object
- - org.apache.tamaya.model.internal.ConfiguredPropertiesModelProviderSpi

- All Implemented Interfaces:
    ModelProviderSpi

      public class ConfiguredPropertiesModelProviderSpi
      extends Object
      implements ModelProviderSpi

  ConfigModel provider that reads model metadata from property files from `classpath*:META-INF/configmodel.properties` in the following format:

       ###################################################################################
       # Example of a configuration metamodel expressed via properties.
       ####################################################################################

       # Metamodel information
       [model].provider=ConfigModel Extension

       ####################################################################################
       # Description of Configuration Sections (minimal, can be extended by other modules).
       # By default its interpreted as a section !
       ####################################################################################

       # a (section)
       {model}a.class=Section
       {model}a.params2.class=Parameter
       {model}a.params2.type=String
       {model}a.params2.required=true
       {model}a.params2.description=a required parameter

       {model}a.paramInt.class=Parameter
       {model}a.paramInt.ref=MyNumber
       {model}a.paramInt.description=an optional parameter (default)

       {model}a._number.class=Parameter
       {model}a._number.type=Integer
       {model}a._number.deprecated=true
       {model}a._number.mappedTo=a.paramInt

       # a.b.c (section)
       {model}a.b.c.class=Section
       {model}a.b.c.description=Just a test section

       # a.b.c.aRequiredSection (section)
       {model}a.b.c.aRequiredSection.class=Section
       {model}a.b.c.aRequiredSection.required=true
       {model}a.b.c.aRequiredSection.description=A section containing required parameters is called a required section.\
       Sections can also explicitly be defined to be required, but without\
       specifying the paramteres to be contained.,

       # a.b.c.aRequiredSection.subsection (section)
       {model}a.b.c.aRequiredSection.subsection.class=Section

       {model}a.b.c.aRequiredSection.subsection.param0.class=Parameter
       {model}a.b.c.aRequiredSection.subsection.param0.type=String
       {model}a.b.c.aRequiredSection.subsection.param0.description=a minmally documented String parameter
       # A minmal String parameter
       {model}a.b.c.aRequiredSection.subsection.param00.class=Parameter
       {model}a.b.c.aRequiredSection.subsection.param00.type=String

       # a.b.c.aRequiredSection.subsection (section)
       {model}a.b.c.aRequiredSection.subsection.param1.class=Parameter
       {model}a.b.c.aRequiredSection.subsection.param1.type = String
       {model}a.b.c.aRequiredSection.subsection.param1.required = true
       {model}a.b.c.aRequiredSection.subsection.intParam.class=Parameter
       {model}a.b.c.aRequiredSection.subsection.intParam.type = Integer
       {model}a.b.c.aRequiredSection.subsection.intParam.description=an optional parameter (default)

       # a.b.c.aRequiredSection.nonempty-subsection (section)
       {model}a.b.c.aRequiredSection.nonempty-subsection.class=Section
       {model}a.b.c.aRequiredSection.nonempty-subsection.required=true

       # a.b.c.aRequiredSection.optional-subsection (section)
       {model}a.b.c.aRequiredSection.optional-subsection.class=Section

       # a.b.c.aValidatedSection (section)
       {model}a.b.c.aValidatedSection.class=Section
       {model}a.b.c.aValidatedSection.description=A validated section.
       {model}a.b.c.aValidatedSection.configModels=org.apache.tamaya.model.TestValidator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfiguredPropertiesModelProviderSpi()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<ConfigModel>` | `getConfigModels()` Get the validation defined.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfiguredPropertiesModelProviderSpi

          public ConfiguredPropertiesModelProviderSpi()

  - ### Method Detail

    - #### getConfigModels

          public Collection<ConfigModel> getConfigModels()

      Description copied from interface: `ModelProviderSpi`
      Get the validation defined.
      Specified by:
        `getConfigModels` in interface `ModelProviderSpi`
      Returns:
        the sections defined, never null.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.